Tagged: 

Viewing 20 posts - 1 through 20 (of 20 total)
  • Author
    Posts
  • #1411672

    Hi Enfold team,
    my site stops running when to php 8.0
    Enfold Version: 5.6.2

    I have updated everything (wordpress, all plugins and enfold) but still the issue is there.
    Please help me fix this issue.

    To make sure the site runs, i switched it back to php 7.4 but the server charges for that version

    #1411675

    Hi Rio1,

    Can you tell us what error was?

    Best regards,
    Nikko

    #1411703

    Hi Nikko,

    I switched back to PHP 8. if you go to the webpage now, you will see the error.

    #1411714

    Hi,

    Thanks for the update. I can’t see any errors on your site, could you let us know how to reproduce it please? Also please post admin WordPress login details in private, so that we can have a closer look at your site.

    Best regards,
    Rikard

    #1411725

    how to reproduce: just visit the site. it will say there is a critical error

    “Es gab einen kritischen Fehler auf deiner Website.
    Erfahre mehr über die Problembehandlung in WordPress.”

    I can give you a temporary admin login, but for that I will have to switch the PHP Version back to 7.4
    in that case the error will disappear and the site will work again. Should I do that?

    #1411756

    Hi,

    Thanks for the update, but your site is loading fine on my end. There are no errors, that is why I’m asking how to reproduce it?

    Best regards,
    Rikard

    #1411799

    Hi Rikard,
    it seems only the home page is loading fine,
    If you click on either ‘Artists’, ‘galerie’, ‘veranstaltungen’, ‘räume’, ‘kontakt’
    the site will show an error.

    #1411813

    Hi,

    Thanks for the clarification. Could you share server error logs with us please? Also please try to deactivate all plugins to see if that makes any difference. We might need access to the backend of your site, if you could include admin WordPress login details in private, then that would be appreciated.

    Best regards,
    Rikard

    #1411827

    see the server logs in the private section
    i can give you temporary access. but for that I have to switch back the php version to 7.4 -> in that case the error will disappear.
    Shall I do that?

    • This reply was modified 1 year ago by Rio1.
    #1411836

    Hi,

    Thanks for that. What you posted looks like an access log, and it’s huge. Don’t you have a log which only shows errors?

    Best regards,
    Rikard

    #1411872

    yes, here is the error logfile

    • This reply was modified 1 year ago by Rio1.
    #1411887

    Hi,

    Thanks for that. Please send us a temporary WordPress admin login and login URL so that we can have a closer look. You can post the details in the Private Content section of your reply.

    Best regards,
    Rikard

    #1411933

    Hi Rikard,
    here are temporary admin credentials.
    Please note, that for the backend to work, I had to swith the php version back to 7.4 , which makes the error disappear (as the error only shows with pho 8)
    thank you

    #1411941

    Hi,

    Thanks for that. The login details you posted are not working, please check and verify. Also, maybe you could provide us access to your hosting provider, so that we can test different PHP versions on our own?

    Best regards,
    Rikard

    #1411942

    sorry rikkard,
    these should work.

    #1411982

    Hi,

    Thanks for that. Please provide us with FTP login details as well, and let us know where in your hosting interface we can see error logs. Also please give us permission to deactivate all plugins for debugging purposes.

    Best regards,
    Rikard

    #1412070

    find the sftp login attached
    I have deactivated all plugins. and you have an admin acount so you should be able to deactive all plugins too.

    #1412103

    Hi,

    Thanks for that. The problem seems to be coming from your wp-config.php file, when this line is commented out, your site works as it should running both PHP 8.0 and 8.1:

    define( 'WP_AUTO_UPDATE_CORE', minor ); 

    That is related to automatic updates, but I can’t tell you why it’s breaking your site unfortunately. If you need further help with that, then please try reaching out to your hosting provider.

    Edit; I’ve left the code commented out for now, and the PHP version is set to 8.1.

    Best regards,
    Rikard

    • This reply was modified 1 year ago by Rikard.
    #1412119

    thanks a lot Rikard.
    it works now!

    #1412144

    Hi,

    Great, I’m glad that we could help. Please let us know if you should need any further help on the topic, or if we can close it.

    Best regards,
    Rikard

Viewing 20 posts - 1 through 20 (of 20 total)
  • You must be logged in to reply to this topic.